# Allow or forbid consent travelling with a contact between projects

`PUT /org-library/settings` · Rivier · workspace

Allow or forbid consent travelling with a contact between projects. A person sets this.

- Scope: workspace:write
- Graphql: Mutation.workspaceOrgLibrarySettingsSet
- Sdk: workspace.orgLibrarySettings.set
- Cli: workspace org library settings set

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "allowConsentCarry": {
      "type": "boolean"
    }
  },
  "required": [
    "allowConsentCarry"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/org-library/settings' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "allowConsentCarry": false
}'
```
